Bug 1299081 - RHEL Images for overcloud use EDT as timezone
RHEL Images for overcloud use EDT as timezone
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
urgent Severity medium
: ga
: 8.0 (Liberty)
Assigned To: James Slagle
Toure Dunnon
: TestOnly, Triaged, ZStream
Depends On: 1238460 1309818
Blocks: 1191185 1243520
  Show dependency treegraph
 
Reported: 2016-01-15 17:21 EST by Mike Burns
Modified: 2016-08-05 13:38 EDT (History)
17 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-0.8.8-1.el7ost
Doc Type: Bug Fix
Doc Text:
Cause: Overcloud images built for OSP Director had the timezone set to EDT, and there was no automated way to configure a different value for the timezone as part of the overcloud deployment. Consequence: All overcloud images were deployed with the EDT timezone, and it had to be fixed manually post deployment. Fix: A TimeZone parmaeter, defaulting to UTC, was added to tripleo-heat-templates so that the timezone can be configured during deployment. Result: When specifying a value for the TimeZone parameter in an environment file, and passing that environment file to the deploy command, the specified timezone will be set on all the deployed Overcloud nodes.
Story Points: ---
Clone Of: 1238460
Environment:
Last Closed: 2016-08-05 13:38:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 249886 None None None 2016-01-15 17:21 EST

  None (edit)
Comment 3 James Slagle 2016-02-17 12:13:46 EST
leaving blocker flag on this one as it's been fixed in osp7
Comment 5 James Slagle 2016-02-25 17:11:38 EST
patch is merged in stable/liberty and built into openstack-tripleo-heat-templates-0.8.8-2.el7ost
Comment 11 mlammon 2016-08-04 15:30:14 EDT
Looking at 9.0 deployment from 02 AUG 16 deployment

Environment:
openstack-tripleo-heat-templates-2.0.0-24.el7ost.noarch
openstack-tripleo-heat-templates-kilo-0.8.14-9.el7ost.noarch
openstack-tripleo-heat-templates-liberty-2.0.0-24.el7ost.noarch


The default timezone of UTC has been verified in the templates files.   I see this now available.  I also verified  the nodes were deployed with UTC with my deployment.

[heat-admin@overcloud-controller-0 ~]$ date
Thu Aug  4 19:29:07 UTC 2016

Note You need to log in before you can comment on or make changes to this bug.